---
title: Document.onoffline
slug: Web/API/Document/onoffline
tags:
  - API
  - DOM
  - NeedsContent
  - Property
  - Reference
---
<p>{{APIRef("DOM")}}</p>

<p>The <strong><code>Document.onoffline</code></strong> event handler is called when an {{event("offline")}} is fired on the {{HtmlElement("body")}} element and bubbles up, when {{domxref("navigator.onLine")}} property changes and becomes <code>false</code>.</p>
